%global pkg_name haskell-platform

%global common_summary Standard Haskell distribution

%global common_description The Haskell Platform is a blessed library and tool suite for Haskell\
distilled from Hackage.

%define without_haddock 1

%global upstream_version 2011.2.0.0

%define platform_progs()\
%{?1}Requires:       ghc = 7.0.2\
%{?1}Requires:       cabal-install = 0.10.2\
%{?1}Requires:       alex = 2.3.5\
%{?1}Requires:       happy = 1.18.6\
%{nil}

%define platform_libs()\
%{?2}Requires:       ghc-cgi%{?1:-%1} = 3001.1.7.4\
%{?2}Requires:       ghc-fgl%{?1:-%1} = 5.4.2.3\
%{?2}Requires:       ghc-GLUT%{?1:-%1} = 2.1.2.1\
%{?2}Requires:       ghc-haskell-src%{?1:-%1} = 1.0.1.4\
%{?2}Requires:       ghc-html%{?1:-%1} = 1.0.1.2\
%{?2}Requires:       ghc-HUnit%{?1:-%1} = 1.2.2.3\
%{?2}Requires:       ghc-mtl%{?1:-%1} = 2.0.1.0\
%{?2}Requires:       ghc-network%{?1:-%1} = 2.3.0.2\
%{?2}Requires:       ghc-OpenGL%{?1:-%1} = 2.2.3.0\
%{?2}Requires:       ghc-parallel%{?1:-%1} = 3.1.0.1\
%{?2}Requires:       ghc-parsec%{?1:-%1} = 3.1.1\
%{?2}Requires:       ghc-QuickCheck%{?1:-%1} = 2.4.0.1\
%{?2}Requires:       ghc-regex-base%{?1:-%1} = 0.93.2\
%{?2}Requires:       ghc-regex-compat%{?1:-%1} = 0.93.1\
%{?2}Requires:       ghc-regex-posix%{?1:-%1} = 0.94.4\
%{?2}Requires:       ghc-stm%{?1:-%1} = 2.2.0.1\
%{?2}Requires:       ghc-syb%{?1:-%1} = 0.3\
%{?2}Requires:       ghc-xhtml%{?1:-%1} = 3000.2.0.1\
%{?2}Requires:       ghc-zlib%{?1:-%1} = 0.5.3.1\
%{?2}Requires:       ghc-HTTP%{?1:-%1} = 4000.1.1\
%{?2}Requires:       ghc-text%{?1:-%1} = 0.11.0.5\
%{?2}Requires:       ghc-transformers%{?1:-%1} = 0.2.2.0\
%{nil}

Name:           %{pkg_name}
Version:        %{upstream_version}
Release:        3%{?dist}
Summary:        Standard Haskell distribution

Group:          Development/Tools
License:        BSD
URL:            http://hackage.haskell.org/platform
Source0:        http://hackage.haskell.org/platform/%{upstream_version}/cabal/%{name}-%{upstream_version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%platform_progs Build
%platform_libs devel Build
%platform_progs
Requires:       ghc-haskell-platform-devel = %{version}

%description
%{common_description}


%package -n ghc-%{name}
Summary:        %{common_summary} library
Group:          System Environment/Libraries
%platform_libs

%description -n ghc-%{name}
%{common_description}

This package is for the shared libraries.


%package -n ghc-%{name}-devel
Summary:        %{common_summary} development files
Group:          Development/Libraries
%{?ghc_devel_requires}
%{?ghc_doc_requires}
Requires:       ghc-devel = %{ghc_version}
%platform_libs devel
Obsoletes:      ghc-%{name}-doc < 2010.2.0.0-0.1

%description -n ghc-%{name}-devel
%{common_description}

This package is for the development files.


%package -n ghc-%{name}-prof
Summary:        %{common_summary} profiling libraries
Group:          Development/Libraries
Requires:       ghc-%{name}-devel = %{version}-%{release}
Requires:       ghc-prof = %{ghc_version}
%platform_libs prof

%description -n ghc-%{name}-prof
%{common_description}

This package is for the profiling libraries.


%prep
%setup -q -n %{name}-%{upstream_version}


%build
%ghc_lib_build


%install
%ghc_lib_install

# remove duplicate
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/LICENSE


%post -n ghc-%{name}-devel
%ghc_pkg_recache


%postun -n ghc-%{name}-devel
%ghc_pkg_recache


%files
%defattr(-,root,root,-)
%doc LICENSE


%files -n ghc-%{name} -f ghc-%{name}.files
%defattr(-,root,root,-)


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%defattr(-,root,root,-)


%files -n ghc-%{name}-prof -f ghc-%{name}-prof.files
%defattr(-,root,root,-)


%changelog
* Mon Mar 28 2011 Jens Petersen <petersen@redhat.com> - 2011.2.0.0-3
- remove duplicate license file from ghc-haskell-platform

* Mon Mar 28 2011 Jens Petersen <petersen@redhat.com> - 2011.2.0.0-2
- fix the install scripts:
- ghc_reindex_haddock is now redundant
- use ghc_pkg_recache

* Fri Mar 11 2011 Jens Petersen <petersen@redhat.com> - 2011.2.0.0-1
- 2011.2.0.0 final

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 2011.1.0.0-0.6
- Enable build on sparcv9

* Tue Feb 15 2011 Jens Petersen <petersen@redhat.com> - 2011.1.0.0-0.5
- update to latest haskell-platform-2011.1 snapshot

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2011.1.0.0-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 22 2011 Jens Petersen <petersen@redhat.com> - 2011.1.0.0-0.3
- make ghc-haskell-platform-devel require ghc-devel and ghc_devel_requires
- build with ghc_lib_build and without_haddock

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 2011.1.0.0-0.2
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 2011.1.0.0-0.1
- update to 2011.1.0.0 alpha snapshot

* Fri Nov 26 2010 Jens Petersen <petersen@redhat.com> - 2010.2.0.0.701-1
- bump some versions for ghc-7.0.1
- add hscolour
- no haddock documentation to build
- remove duplicate LICENSE file

* Fri Jul 23 2010 Jens Petersen <petersen@redhat.com> - 2010.2.0.0-1
- update to 2010.2.0.0 final release (no actual changes)

* Sun Jul 18 2010 Jens Petersen <petersen@redhat.com> - 2010.2.0.0-0.1
- drop debuginfo again: ghc_strip_dynlinked got fixed in ghc-rpm-macros-0.8.1

* Fri Jul 16 2010 Jens Petersen <petersen@redhat.com> - 2010.2.0.0-0.1
- update to 2010.2.0.0 RC
- obsolete ghc-haskell-platform-doc in line with ghc-rpm-macros-0.8.0
- add License to base library too

* Sun Jun 27 2010 Jens Petersen <petersen@redhat.com> - 2010.1.0.0.6123-1
- bump ghc to 6.12.3
- sync cabal2spec-0.22.1
- enable debugging for now to avoid empty strip error

* Thu Apr 29 2010 Jens Petersen <petersen@redhat.com> - 2010.1.0.0.6122-1
- break haskell-platform-2010.1.0.0 with ghc-6.12.2

* Wed Mar 24 2010 Jens Petersen <petersen@redhat.com> - 2010.1.0.0-1
- update to 2010.1.0.0 beta release
- update versions of alex, cgi, network, parallel, QuickCheck, HTTP
- new deepseq dep (#576482)

* Thu Jan 28 2010 Jens Petersen <petersen@redhat.com> - 2009.3.1.20100115-0.2
- add filelist for shared libs
- update devel post and postun

* Sat Jan 16 2010 Jens Petersen <petersen@redhat.com> - 2009.3.1.20100115-0.1
- update to darcs snapshot patched for ghc-6.12.1
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use common_summary and common_description
- use ghc_lib_package and ghc_pkg_deps
- build shared library
- drop redundant buildroot and its install cleaning

* Mon Sep 28 2009 Jens Petersen <petersen@redhat.com> - 2009.2.0.2-3
- fix rpmlint warnings (bos, #523883)

* Mon Sep 28 2009 Jens Petersen <petersen@redhat.com> - 2009.2.0.2-2
- add all the buildrequires (#523883)
- create ghcpkgdir since metapackage
- nothing in bindir

* Thu Sep 17 2009 Jens Petersen <petersen@redhat.com> - 2009.2.0.2-1
- initial packaging for Fedora
